Configurar o desactivar actualizaciones automáticas de WordPress

Una de las grandes novedades que trae la versión 3.7 del CMS es la posibilidad de actualizarse automágicamente, tanto en sus actualizaciones menores como el propio núcleo o los plugins.

Esto está bien para webs estáticas que apenas requieran de configuraciones personalizadas o gran cantidad de plugins, pero los que llevamos unos años con ésto sabemos que no siempre todo funciona y que en ocasiones es preferible controlar manualmente qué pasa en nuestra web.

Si quieres un método sencillo, tendrás que bajar al final del post 😉

 

Desactivar actualizaciones automáticas

Si, como yo, eres de la vieja escuela y prefieres actualizarlo todo a mano, abre wp-config.php y añade la siguiente línea:

define( 'WP_AUTO_UPDATE_CORE', false );

 

Activar sólo actualizaciones menores

Ésta es la opción por defecto y la más recomendable. Para configurarla manualmente y tener actualizaciones menores (de 3.7.1 a 3.7.2), añade ésto en wp-config.php:

define( 'WP_AUTO_UPDATE_CORE', 'minor' );

 

Activar actualizaciones de núcleo

Si te sientes cómodo dejando que WordPress actualice no solo las actualizaciones menores, sino también cambios de versión completa (de 3.7 a 3.8), añade ésto en wp-config.php:

define( 'WP_AUTO_UPDATE_CORE', true );

 

Ésto no desactivará completamente el sistema de comprobación de versiones de WordPress, sino que evitará que se instalen. Si realmente quieres desactivar el sistema de comprobación de versiones (aunque no veo por qué querrías hacer eso), añade ésto en wp-config.php:

define( 'AUTOMATIC_UPDATER_DISABLED', true );

Otra manera de desactivarlo es  añadir ésto al fichero functions.php de tu tema:

add_filter( 'automatic_updater_disabled', '__return_true' );

 

 

Ajustes más precisos

También tenemos la posibilidad de configurar opciones más detalladas, es aquí donde entran los filtros que configuraremos en las funciones de nuestro tema.

 

Actualizar automáticamente versiones de desarrollo (nightly)

Añade ésto en el fichero functions.php de tu tema (créalo si no existe):

add_filter( 'allow_dev_auto_core_updates', '__return_true' );

 

Desactivar actualizaciones menores

Si por cualquier causa, necesitaras actualizaciones automáticas mayores, pero no quieres que se instalen las menores, puedes usar la siguiente combinación:

.- Línea en fichero wp-config.php:

define( 'WP_AUTO_UPDATE_CORE', true );

.- Línea en fichero functions.php:

add_filter( 'allow_minor_auto_core_updates', '__return_false' );

 

Instalar sólo actualizaciones mayores

Otra manera de actualizar sólo las versiones mayores es añadir ésto en el fichero functions.php:

add_filter( 'allow_major_auto_core_updates', '__return_true' );

 

 

Plugins, temas e idiomas

Por defecto, las actualizaciones automáticas de temas y plugins están desactivadas. Para activarlas, tenemos un par de opciones.

 

Activar actualizaciones automáticas de temas WordPress

Añade ésto a tu fichero functions.php:

add_filter( 'auto_update_theme', '__return_true' );

 

Activar actualizaciones automáticas de plugins WordPress

Añade ésto a tu fichero funcions.php:

add_filter( 'auto_update_plugin', '__return_true' );

 

Desactivar actualizaciones automáticas de idiomas WordPress

Por defecto, las actualizaciones automáticas de idiomas están activadas. Para desactivarlas, añade ésto a tu fichero functions.php:

add_filter( 'auto_update_translation', '__return_false' );

 

 

Configuración por plugin

Si no quieres complicarte editando ficheros, instala el plugin Update Control y podrás hacer las mismas configuraciones que en los puntos anteriores, desde el menú “Ajustes > Generales

Plugin WordPress configuración actualizaciones automáticas

 

 

Más info:

.- Configuring Automatic Background Updates
.- The definitive guide to disabling auto updates in WordPress 3.7

 

Un comentario de “Configurar o desactivar actualizaciones automáticas de WordPress

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

Do NOT follow this link or you will be banned from the site!